Just upgraded IDM 3.0.1 to 3.0.5 (3.5, but the modules report 3.0.5).

iManager 2.6 works fine with Firefox 2.0, until you go into the IDM
DRiver Overview.

You can't see the status of any of the drivers, or stop/start them.

Works fine with IE

I though iManager 2.6 supported Firefox?